Commits

Benoit GUERIN  committed 35ab561

Initial commit

  • Participants

Comments (0)

Files changed (29)

File debian/README.source

+This Debian package uses quilt(1) for patch management.
+Please see /usr/share/doc/quilt/README.source for more information.

File debian/changelog

+nexus (2.0.2-1) unstable; urgency=low
+
+  * First version
+
+ -- Benoit GUERIN <benoit.guerin@gmail.com>  Sun, 18 Mar 2012 16:53:31 +0200
+

File debian/compat

+7

File debian/control

+Source: nexus
+Section: java
+Priority: optional
+Maintainer: Benoit GUERIN <benoit.guerin@gmail.com>
+Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7.0.8), quilt (>= 0.48)
+
+Package: nexus-common
+Architecture: all
+Recommends: nexus-container
+Description: Nexus : the repository manager - common files
+ Nexus manages software "artifacts" required for development,
+ deployment, and provisioning. If you develop software, Nexus
+ can help you share those artifacts with other developers and
+ end-users.
+ .
+ This package provides the common files for Nexus. Install
+ any nexus-container to use Nexus under your favourite
+ container.
+
+Package: nexus-tomcat5.5
+Architecture: all
+Pre-Depends: sun-java6-jdk, tomcat5.5
+Depends: nexus-common
+Provides: nexus-container
+Recommends: libtcnative-1
+Description: Nexus : the repository manager - Tomcat 5.5 integration
+ Nexus manages software "artifacts" required for development,
+ deployment, and provisioning. If you develop software, Nexus
+ can help you share those artifacts with other developers and
+ end-users.
+ .
+ This package provides the Tomcat 5.5 integration files for Nexus.
+
+Package: nexus-tomcat6
+Architecture: all
+Depends: nexus-common, tomcat6
+Provides: nexus-container
+Recommends: libtcnative-1
+Description: Nexus : the repository manager - Tomcat 6 integration
+ Nexus manages software "artifacts" required for development,
+ deployment, and provisioning. If you develop software, Nexus
+ can help you share those artifacts with other developers and
+ end-users.
+ .
+ This package provides the Tomcat 6 integration files for Nexus.
+
+Package: nexus-tomcat7
+Architecture: all
+Depends: nexus-common, tomcat7
+Provides: nexus-container
+Recommends: libtcnative-1
+Description: Nexus : the repository manager - Tomcat 6 integration
+ Nexus manages software "artifacts" required for development,
+ deployment, and provisioning. If you develop software, Nexus
+ can help you share those artifacts with other developers and
+ end-users.
+ .
+ This package provides the Tomcat 7 integration files for Nexus.

File debian/copyright

+This is the Ubuntu / Debian GNU/Linux prepackaged version of the
+Nexus maven artifacts manager.
+
+Packaged by Benoit GUERIN <benoit.guerin@gmail.com>
+
+Downloaded from http://www.sonatype.org/nexus/go
+
+Upstream Author:
+  Sonatype Inc. http://www.sonatype.com
+
+Copyright:
+  See http://www.sonatype.org/nexus/license
+
+  Sonatype Nexus™ Open Source Version
+
+  Copyright © 2008-2012 Sonatype, Inc.
+
+  All rights reserved. Includes the third-party code listed at
+  http://links.sonatype.com/products/nexus/oss/attributions.
+
+  This program and the accompanying materials are made available
+  under the terms of the Eclipse Public License Version 1.0,
+  which accompanies this distribution and is available at
+  http://www.eclipse.org/legal/epl-v10.html.
+
+  Sonatype Nexus™ Professional Version is available from Sonatype, Inc.
+  "Sonatype" and "Sonatype Nexus" are trademarks of Sonatype, Inc.
+  Apache Maven is a trademark of the Apache Software Foundation.
+  M2eclipse is a trademark of the Eclipse Foundation.
+  All other trademarks are the property of their respective owners.
+
+This packaging (and only the packaging, now the software it packages)
+is free software; you can redistribute it and/or modify it under the
+terms of the GNU General Public License as published by the Free
+Software Foundation; version 2 dated June, 1991.
+
+This program is distributed in the hope that it will be useful, but
+WITHOUT ANY WARRANTY; without even the impied warranty of MERCHANTABILITY
+or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
+for more details.
+
+You should have received a copy of the GNU Genral Public License along
+with this program; if not, write to the Free Software Foundation, Inc.,
+51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
+
+On Ubuntu / Debian GNU/Linux systems, the complete text of the GNU
+General Public License can be found in `/usr/share/common-licenses/GPL-2'.

File debian/nexus-common.dirs

+/etc/nexus
+/usr/share/nexus
+/var/lib/nexus
+/var/log/nexus

File debian/nexus-common.install

+logback.properties		/etc/nexus
+src/WEB-INF/plexus.properties	/etc/nexus
+src/*				/usr/share/nexus

File debian/nexus-common.postrm

+#!/bin/sh -e
+
+#DEBHELPER#
+
+# Script
+case "$1" in
+	purge)
+		rm -rf /var/lib/nexus/*
+		;;
+
+	*)
+		;;
+esac
+

File debian/nexus-tomcat5.5.install

+nexus.policy			/etc/nexus/tomcat5.5
+nexus.context.xml		/etc/nexus/tomcat5.5

File debian/nexus-tomcat5.5.postinst

+#!/bin/sh -e
+
+#DEBHELPER#
+
+# Script
+case "$1" in
+	configure)
+		if ! dpkg-statoverride --quiet --list /etc/nexus > /dev/null; then
+			dpkg-statoverride --quiet --update --add tomcat55 root 0750 /etc/nexus
+		fi
+
+		if ! dpkg-statoverride --quiet --list /var/lib/nexus > /dev/null; then
+			dpkg-statoverride --quiet --update --add tomcat55 root 0750 /var/lib/nexus
+		fi
+
+		if ! dpkg-statoverride --quiet --list /var/log/nexus > /dev/null; then
+			dpkg-statoverride --quiet --update --add tomcat55 root 0750 /var/log/nexus
+		fi
+
+		invoke-rc.d tomcat5.5 restart
+		;;
+
+	*)
+		# Other action, nothing to do
+		;;
+esac
+

File debian/nexus-tomcat5.5.postrm

+#!/bin/sh -e
+
+#DEBHELPER#
+
+# Script
+case "$1" in
+	remove|upgrade)
+		if [ -x /usr/sbin/dpkg-statoverride ]; then
+			if dpkg-statoverride --quiet --list /etc/nexus > /dev/null ; then
+				dpkg-statoverride --quiet --force --remove /etc/nexus
+			fi
+
+			if dpkg-statoverride --quiet --list /var/lib/nexus > /dev/null ; then
+				dpkg-statoverride --quiet --force --remove /var/lib/nexus
+			fi
+
+			if dpkg-statoverride --quiet --list /var/log/nexus > /dev/null ; then
+				dpkg-statoverride --quiet --force --remove /var/log/nexus
+			fi
+		fi
+
+		invoke-rc.d tomcat5.5 restart
+		;;
+
+	*)
+		;;
+esac
+

File debian/nexus-tomcat6.install

+nexus.policy			/etc/nexus/tomcat6
+nexus.context.xml		/etc/nexus/tomcat6

File debian/nexus-tomcat6.postinst

+#!/bin/sh -e
+
+#DEBHELPER#
+
+# Script
+case "$1" in
+	configure)
+		if ! dpkg-statoverride --quiet --list /etc/nexus > /dev/null; then
+			dpkg-statoverride --quiet --update --add tomcat6 root 0750 /etc/nexus
+		fi
+
+		if ! dpkg-statoverride --quiet --list /var/lib/nexus > /dev/null; then
+			dpkg-statoverride --quiet --update --add tomcat6 root 0750 /var/lib/nexus
+		fi
+
+		if ! dpkg-statoverride --quiet --list /var/log/nexus > /dev/null; then
+			dpkg-statoverride --quiet --update --add tomcat6 root 0750 /var/log/nexus
+		fi
+
+		invoke-rc.d tomcat6 restart
+		;;
+
+	*)
+		# Other action, nothing to do
+		;;
+esac
+

File debian/nexus-tomcat6.postrm

+#!/bin/sh -e
+
+#DEBHELPER#
+
+# Script
+case "$1" in
+	remove|upgrade)
+		if [ -x /usr/sbin/dpkg-statoverride ]; then
+			if dpkg-statoverride --quiet --list /etc/nexus > /dev/null ; then
+				dpkg-statoverride --quiet --force --remove /etc/nexus
+			fi
+
+			if dpkg-statoverride --quiet --list /var/lib/nexus > /dev/null ; then
+				dpkg-statoverride --quiet --force --remove /var/lib/nexus
+			fi
+
+			if dpkg-statoverride --quiet --list /var/log/nexus > /dev/null ; then
+				dpkg-statoverride --quiet --force --remove /var/log/nexus
+			fi
+		fi
+
+		invoke-rc.d tomcat6 restart
+		;;
+
+	*)
+		;;
+esac
+

File debian/nexus-tomcat7.install

+nexus.policy			/etc/nexus/tomcat7
+nexus.context.xml		/etc/nexus/tomcat7

File debian/nexus-tomcat7.postinst

+#!/bin/sh -e
+
+#DEBHELPER#
+
+# Script
+case "$1" in
+	configure)
+		if ! dpkg-statoverride --quiet --list /etc/nexus > /dev/null; then
+			dpkg-statoverride --quiet --update --add tomcat7 root 0750 /etc/nexus
+		fi
+
+		if ! dpkg-statoverride --quiet --list /var/lib/nexus > /dev/null; then
+			dpkg-statoverride --quiet --update --add tomcat7 root 0750 /var/lib/nexus
+		fi
+
+		if ! dpkg-statoverride --quiet --list /var/log/nexus > /dev/null; then
+			dpkg-statoverride --quiet --update --add tomcat7 root 0750 /var/log/nexus
+		fi
+
+		invoke-rc.d tomcat7 restart
+		;;
+
+	*)
+		# Other action, nothing to do
+		;;
+esac
+

File debian/nexus-tomcat7.postrm

+#!/bin/sh -e
+
+#DEBHELPER#
+
+# Script
+case "$1" in
+	remove|upgrade)
+		if [ -x /usr/sbin/dpkg-statoverride ]; then
+			if dpkg-statoverride --quiet --list /etc/nexus > /dev/null ; then
+				dpkg-statoverride --quiet --force --remove /etc/nexus
+			fi
+
+			if dpkg-statoverride --quiet --list /var/lib/nexus > /dev/null ; then
+				dpkg-statoverride --quiet --force --remove /var/lib/nexus
+			fi
+
+			if dpkg-statoverride --quiet --list /var/log/nexus > /dev/null ; then
+				dpkg-statoverride --quiet --force --remove /var/log/nexus
+			fi
+		fi
+
+		invoke-rc.d tomcat7 restart
+		;;
+
+	*)
+		;;
+esac
+

File debian/patches/conf-fixes

+diff -wurN a/src/WEB-INF/plexus.properties b/src/WEB-INF/plexus.properties
+--- a/src/WEB-INF/plexus.properties	2012-03-18 18:40:06.051739138 +0100
++++ b/src/WEB-INF/plexus.properties	2012-03-18 18:39:40.447738890 +0100
+@@ -15,8 +15,8 @@
+ # WARNING: Modify these values ONLY if you know what are you doing!
+ #
+ nexus-work=/var/lib/nexus
+-security-xml-file=${nexus-work}/conf/security.xml
+-application-conf=${nexus-work}/conf
++security-xml-file=/etc/nexus/security.xml
++application-conf=/etc/nexus
+ 
+ runtime=${bundleBasedir}
+ nexus-app=${runtime}

File debian/patches/home-fixes

+diff -wurN a/src/WEB-INF/plexus.properties b/src/WEB-INF/plexus.properties
+--- a/src/WEB-INF/plexus.properties	2012-03-09 07:08:30.000000000 +0100
++++ b/src/WEB-INF/plexus.properties	2012-03-18 18:39:05.303739001 +0100
+@@ -14,7 +14,7 @@
+ #
+ # WARNING: Modify these values ONLY if you know what are you doing!
+ #
+-nexus-work=${user.home}/sonatype-work/nexus
++nexus-work=/var/lib/nexus
+ security-xml-file=${nexus-work}/conf/security.xml
+ application-conf=${nexus-work}/conf
+ 

File debian/patches/series

+home-fixes
+conf-fixes

File debian/rules

+#!/usr/bin/make -f
+#
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+.PHONY: clean build binary
+
+build: build-stamp
+build-stamp:
+	dh_testdir
+	mkdir src
+	uscan --force-download \
+		&& cd src \
+		&& jar -xf `ls ../../nexus-*.war`
+	@$(MAKE) -f /usr/share/quilt/quilt.make patch
+	touch build-stamp
+
+clean:
+	dh_clean build-stamp
+	@$(MAKE) -f /usr/share/quilt/quilt.make unpatch
+	rm -rf src
+	rm -f ../*.war
+
+binary: build
+	dh_testdir
+	dh_testroot
+	dh_installchangelogs
+	dh_installdocs
+	dh_installexamples
+	dh_installmenu
+	dh_installdebconf
+	dh_installlogrotate
+	dh_installemacsen
+	dh_installcatalogs
+	dh_installpam
+	dh_installmime
+	dh_installinit
+	dh_installcron
+	dh_installinfo
+	dh_installwm
+	dh_installudev
+	dh_installdirs
+	dh_installman
+	dh_install
+	dh_lintian
+	dh_link
+	dh_compress
+	dh_fixperms
+	dh_installdeb
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
+	

File debian/watch

+version=3
+http://www.sonatype.org/nexus/go/	/downloads/nexus-(.*)\.war

File logback.properties

+root.level=INFO
+appender.pattern=%4d{yyyy-MM-dd HH:mm:ss} %-5p [%-15.15t] - %c - %m%n
+appender.file=/var/log/nexus/nexus.log

File nexus.context.xml

+<Context docBase="/usr/share/nexus" reloadable="true" allowLinking="true"/>

File nexus.policy

+grant codeBase "file:${catalina.home}${file.separator}bin${file.separator}tomcat-juli.jar" {
+    permission java.io.FilePermission "/usr/share/nexus/WEB-INF/classes/logging.properties", "read";
+    permission java.io.FilePermission "/usr/share/nexus/WEB-INF/classes/log4j.properties", "read";
+};
+
+grant codeBase "file:/usr/share/nexus/-" {
+    permission java.io.FilePermission "/", "read";
+    permission java.io.FilePermission "/usr/share/tomcat5.5/.mime-types.properties", "read";
+    permission java.io.FilePermission "/etc/nexus/", "read,write";
+    permission java.io.FilePermission "/etc/nexus/-", "read,write,delete";
+    permission java.io.FilePermission "/usr/share/nexus", "read";
+    permission java.io.FilePermission "/usr/share/nexus/-", "read";
+    permission java.io.FilePermission "/var/lib/nexus", "read,write";
+    permission java.io.FilePermission "/var/lib/nexus/-", "read,write,delete";
+    permission java.io.FilePermission "/var/log/nexus", "read,write";
+    permission java.io.FilePermission "/var/log/nexus/-", "read,write,delete";
+    permission java.io.FilePermission "${catalina.base}/temp", "read,write";
+    permission java.io.FilePermission "${catalina.base}/temp/-", "read,write,delete";
+    permission java.io.FilePermission "<<ALL FILES>>", "read";
+    permission java.lang.reflect.ReflectPermission "suppressAccessChecks";
+    permission java.lang.RuntimePermission "accessClassInPackage.org.apache.coyote";
+    permission java.lang.RuntimePermission "accessClassInPackage.sun.jdbc.odbc";
+    permission java.lang.RuntimePermission "accessClassInPackage.sun.misc";
+    permission java.lang.RuntimePermission "accessClassInPackage.sun.reflect";
+    permission java.lang.RuntimePermission "accessClassInPackage.sun.util.logging.resources";
+    permission java.lang.RuntimePermission "accessDeclaredMembers";
+    permission java.lang.RuntimePermission "createClassLoader";
+    permission java.lang.RuntimePermission "defineClassInPackage.java.lang";
+    permission java.lang.RuntimePermission "getClassLoader";
+    permission java.lang.RuntimePermission "getenv.*";
+    permission java.lang.RuntimePermission "getProtectionDomain";
+    permission java.lang.RuntimePermission "modifyThread";
+    permission java.lang.RuntimePermission "preferences";
+    permission java.lang.RuntimePermission "reflectionFactoryAccess";
+    permission java.lang.RuntimePermission "setContextClassLoader";
+    permission java.lang.RuntimePermission "setFactory";
+    permission java.lang.RuntimePermission "setIO";
+    permission java.lang.RuntimePermission "shutdownHooks";
+    permission java.net.NetPermission "specifyStreamHandler";
+    permission java.net.SocketPermission "*", "connect,resolve";
+    permission java.security.SecurityPermission "putProviderProperty.BC";
+    permission java.util.logging.LoggingPermission "control";
+    permission java.util.PropertyPermission "*", "read,write";
+    permission javax.management.MBeanServerPermission "createMBeanServer";
+    permission javax.management.MBeanPermission "com.sonatype.*", "*";
+    permission javax.management.MBeanPermission "org.sonatype.*", "*";
+    permission javax.management.MBeanTrustPermission "register";
+};